<html><body>
<h2>Importing PDF, Postscript and SVG files</h2>

<h4>Overview</h4>
Whyteboard can load in PDF, PS and SVG files by using ImageMagick.
<hr>

<h3>Importing</h3>
<h4>Windows</h4>
<p>When you first try and load in a PDF/PS or SVG file, Whyteboard prompts for the location of the ImageMagick folder. This is usually in the C:/Program Files/ImageMagick-[version] directory; a directory selector dialog will allow you to choose its location.
Until you specify a directory that contains convert.exe then you cannot import these file formats.</p>

<p>Once found, Whyteboard saves the location so you don't have to specify it each time. This can be changed from the Preferences dialog.</p>
<hr>

<h4>Linux / Mac</h4>
<p>Whyteboard will perform the <code>which convert</code> shell command to see if the ImageMagick application, convert is installed. </p>
<hr>

<h3>Exporting</h3>
<p>Be careful when exporting and overwriting a PDF. Whyteboard will save your tabs into the PDF as images, overwriting any meta content/links etc in the PDF.</p>

<hr />

<h3>PDF Caching</h3>
<p>Once a PDF has been converted, Whyteboard will remember the converted images, and will load the PDF <b>much</b> faster next time it is loaded. <br />
However, if the PDF changes, then the images that were previously converted will still be loaded.</p>

<p>Using the PDF Cache Viewer (in the View menu), documents may be removed from the cache, and Whyteboard will re-convert the file the next time it is loaded.
This allows changes to the PDF to be reflected in Whyteboard.</p>

<hr />

<h3>Issues</h3>
<p>When you load in a PDF, the file is passed off to the convert application in the background, and you must wait until the operation finishes.<br />
<p>The trouble here is that there is no way to gauge the progress of the convert, as the application does not return any information about its progress, nor can the PDF be queried to determine how many pages it has. The more pages inside a PDF, the longer it will take to convert and to refresh Whyteboard's thumbnails for every sheet. </p>


</body></html>
